﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace _339086_SliderExample
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			MyDataContext context = new MyDataContext() { SliderPosition = 3};
			this.DataContext = context;
		}

		private void ChangeSliderPosition(object sender, RoutedEventArgs e)
		{
			(this.DataContext as MyDataContext).SliderPosition = 6;
		}
	}

	public class MyDataContext : INotifyPropertyChanged
	{
		private float sliderPosition;
		/// <summary>
		///     Gets or sets the name.
		/// </summary>
		public float SliderPosition
		{
			get
			{
				return this.sliderPosition;
			}
			set
			{
				if (this.sliderPosition != value)
				{
					this.sliderPosition = value;
					OnPropertyChanged("SliderPosition");
				}
			}
		}

		/// <summary>
		///     Event for INotifyPropertyChanged.
		/// </summary>
		public event PropertyChangedEventHandler PropertyChanged;

		/// <summary>
		///     Raises the INotifyPropertyChanged event.
		/// </summary>
		/// <param name="propertyName">The property to be included in the INotifyPropertyChanged EventArgs.</param>
		protected virtual void OnPropertyChanged(String propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}
